Marketpress upgrade broke integration with events+

The integration between events+ and marketpress was working perfectly yesterday. I downloaded an update for marketpress, and today I'm getting this error:

Your Shopping Cart

Fatal error: Cannot use string offset as an array in /nas/wp/www/staging/yarmouth/wp-content/plugins/marketpress/marketpress.php on line 3495

Can you please roll back the plugin to the prior version asap? I can't have things breaking.... Alternatively, how can I get a fix asap?